<div id="sso-login" v-cloak>
  <div class="container pt-5 pb-5 d-flex flex-column align-items-center">

    <div class="loginFormContainer d-flex flex-column align-items-center bg-light rounded">
      <h1 class="text-center">{{ serviceName }}</h1>
      <small class="text-center">Single Sign-On</small>
      <span class="px-4" style="width: 100%;"><hr/></span>
 
      <% if (!loggedIn) { %>
      <div class="mx-auto">
        <ajax-form action="login" :syncing.sync="syncing" :cloud-error.sync="cloudError" :form-data="formData" :form-rules="formRules" :form-errors.sync="formErrors" @submitted="submittedForm($event)">
          <div class="form-group">
            <input type="email" class="form-control" placeholder="Email address" :class="[formErrors.emailAddress ? 'is-invalid' : '']" v-model.trim="formData.emailAddress" autocomplete="email" focus-first>
            <div class="invalid-feedback" v-if="formErrors.emailAddress">Please provide a valid email address.</div>
          </div>
          <div class="form-group">
            <input type="password" class="form-control" placeholder="Password" :class="[formErrors.password ? 'is-invalid' : '']" v-model.trim="formData.password" autocomplete="current-password">
            <div class="invalid-feedback" v-if="formErrors.password">Please enter your password.</div>
          </div>
          <div class="form-group form-check">
            <input class="form-check-input" type="checkbox" id="remember" name="rememberMe" v-model="formData.rememberMe"/>
            <label class="form-check-label" for="remember">Remember me</label>
          </div>
          <cloud-error v-if="cloudError==='badCombo'">The credentials you entered are not associated with an account. Please check your email and/or password and try again.</cloud-error>
          <cloud-error v-else-if="cloudError"></cloud-error>
          <div class="form-group">
            <ajax-button :syncing="syncing" class="btn-dark btn-lg btn-block">Sign in</ajax-button>
          </div>
        </ajax-form>
        <p class="text-center"><a href="/password/forgot">Forgot your password?</a></p>
      </div>
      <% } else { %>

      <div class="mx-auto d-flex flex-column align-items-center my-4">
        <span>You are signed in as <strong><%= me.fullName %></strong></span>
        <a class="btn btn-lg btn-success mt-3" href="<%= returnUrl + '?token=' + token %>">Continue</a>
      </div>

      <span class="px-4" style="width: 100%;"><hr/></span>

      <div class="mx-auto d-flex flex-column align-items-center">
        <p class="text-center my-1">Not you? <a v-on:click="logout" style="cursor: pointer;" class="text-decoration-none">Logout</a></p>
        <a class="text-secondary my-1" href="<%= new URL(returnUrl).origin %>">Cancel and go back</a>
      </div>
        
      <% } %>

    </div>
    
  </div>
</div>
<%- /* Expose server-rendered data as window.SAILS_LOCALS :: */ exposeLocalsToBrowser() %>
